Attribute VB_Name = "umFish"
' ------------------------------------------------------------------------------
'
' umFish(umFish.bas)                                      Ulrich Mller 25.12.99
'                                                         Procida 400NT    VB6.0
' Deklarationen und Konstanten zu umFishRT
' Drften auch mit VB5 laufen, hier aber ggf. Optional Parameter ndern
' oder Wait ... ganz streichen
'
' ------------------------------------------------------------------------------

Option Explicit

Public Declare Function OpenInterface Lib "umFish.dll" _
  (ft As ftDCB, ByVal ComName$) As Long
Public Declare Function CloseInterface Lib "umFish.dll" _
  (ft As ftDCB) As Long
Public Declare Function umGetInput Lib "umFish.dll" Alias "GetInput" _
  (ft As ftDCB, ByVal InputNr&) As Boolean
Public Declare Function umGetInputs Lib "umFish.dll" Alias "GetInputs" _
  (ft As ftDCB) As Long
Public Declare Function ClearMotors Lib "umFish.dll" (ft As ftDCB) As Long
Public Declare Function SetMotors Lib "umFish.dll" _
  (ft As ftDCB, ByVal MotorStatus&) As Long
Public Declare Function SetMotor Lib "umFish.dll" _
  (ft As ftDCB, ByVal MotorNr&, ByVal Richtung&) As Long
Public Declare Function SetLamp Lib "umFish.dll" _
  (ft As ftDCB, ByVal LampNr&, ByVal OnOff&) As Long
Public Declare Function umGetAnalog Lib "umFish.dll" Alias "GetAnalog" _
  (ft As ftDCB, ByVal AnalogNr&) As Long

Public Declare Function StartDriver Lib "umFish.dll" () As Long
Public Declare Function StopDriver Lib "umFish.dll" () As Long

Public Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Public Const VK_ESCAPE = &H1B
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMsec&)
Public Declare Function GetTickCount Lib "kernel32" () As Long


Public Type ftDCB
  comI As Long
  PortID As Long
  LPTDelay As Long
  LPTAnalog As Long
  InputStatus As Long
  MotorStatus As Long
End Type

Public Const ftiFehler = &H1FFFF
Public Const ftiAus = 0
Public Const ftiEin = 1
Public Const ftiLinks = 1
Public Const ftiRechts = 2

Public ft As ftDCB, NotHalt As Boolean







Public Function GetAnalog(ft As ftDCB, ByVal AnalogNr As Long) As Long
  GetAnalog = umGetAnalog(ft, AnalogNr)
  DoEvents
End Function

Public Function GetInput(ft As ftDCB, ByVal InputNr As Long) As Boolean
  GetInput = umGetInput(ft, InputNr)
  DoEvents
End Function


Public Function GetInputs(ft As ftDCB) As Long
  GetInputs = umGetInputs(ft)
  DoEvents
End Function


Public Function WaitForInput(ft As ftDCB, InputNr&, Optional OnOff As Boolean = True) As Long
  Do
    DoEvents
    If NotHalt Or (GetAsyncKeyState(VK_ESCAPE) <> 0) Then
      WaitForInput = ftiFehler
      Exit Function
    End If
  Loop Until umGetInput(ft, InputNr) = OnOff
  WaitForInput = ft.InputStatus
End Function


Public Sub WaitForTime(ft As ftDCB, ByVal mSek&)
Dim sZeit&
  sZeit = GetTickCount()
  Do
    DoEvents
    umGetInputs ft
  Loop Until NotHalt Or ((GetTickCount() - sZeit) > mSek) Or (GetAsyncKeyState(VK_ESCAPE) <> 0)
End Sub


